StringUtils (Apache Tomcat 8.5.94 API Documentation)

Package org.apache.tomcat.util.buf

## Class StringUtils

- java.lang.Object
- - org.apache.tomcat.util.buf.StringUtils

-     public final class StringUtils
      extends java.lang.Object

  Utility methods to build a separated list from a given set (not java.util.Set) of inputs and return that list as a string or append it to an existing StringBuilder. If the given set is null or empty, an empty string will be returned.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `StringUtils.Function<T>` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `join​(java.lang.Iterable<java.lang.String> iterable, char separator, java.lang.StringBuilder sb)` |
    `static <T> void` | `join​(java.lang.Iterable<T> iterable, char separator, StringUtils.Function<T> function, java.lang.StringBuilder sb)` |
    `static java.lang.String` | `join​(java.lang.String[] array)` |
    `static void` | `join​(java.lang.String[] array, char separator, java.lang.StringBuilder sb)` |
    `static java.lang.String` | `join​(java.util.Collection<java.lang.String> collection)` |
    `static java.lang.String` | `join​(java.util.Collection<java.lang.String> collection, char separator)` |
    `static <T> void` | `join​(T[] array, char separator, StringUtils.Function<T> function, java.lang.StringBuilder sb)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### join

          public static java.lang.String join​(java.lang.String[] array)

    - #### join

          public static void join​(java.lang.String[] array,
                                  char separator,
                                  java.lang.StringBuilder sb)

    - #### join

          public static java.lang.String join​(java.util.Collection<java.lang.String> collection)

    - #### join

          public static java.lang.String join​(java.util.Collection<java.lang.String> collection,
                                              char separator)

    - #### join

          public static void join​(java.lang.Iterable<java.lang.String> iterable,
                                  char separator,
                                  java.lang.StringBuilder sb)

    - #### join

          public static <T> void join​(T[] array,
                                      char separator,
                                      StringUtils.Function<T> function,
                                      java.lang.StringBuilder sb)

    - #### join

          public static <T> void join​(java.lang.Iterable<T> iterable,
                                      char separator,
                                      StringUtils.Function<T> function,
                                      java.lang.StringBuilder sb)